package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesEquTaskStandardModel implements Serializable {
    @ApiParam("id")
    private Long id;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("作业类型")
    private Integer taskType;

    @ApiParam("操作项")
    private Integer actionItem;

    @ApiParam("操作标准")
    private String actionStandard;

    @ApiParam("操作指导")
    private String actionGuide;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam(value ="组织代码")
    public String organizeCode;

    @ApiParam(value = "有效性")
    public Integer isValid;

    @ApiParam(value = "是否已删除")
    public Integer isDeleted;

    @ApiParam(value = "创建用户")
    public String createUser;

    @ApiParam(value = "创建日期")
    public String createDatetime;

    @ApiParam(value = "修改人")
    public String modifyUser;

    @ApiParam(value = "修改日期")
    public String modifyDatetime;


    public MesEquTaskStandardModel() {

    }

    public MesEquTaskStandardModel(Long id, String equipmentCode, String equipmentName, Integer taskType, Integer actionItem, String actionStandard, String actionGuide, String workCenterCode, String organizeCode, Integer isValid, Integer isDeleted, String createUser, String createDatetime, String modifyUser, String modifyDatetime) {
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.taskType = taskType;
        this.actionItem = actionItem;
        this.actionStandard = actionStandard;
        this.actionGuide = actionGuide;
        this.workCenterCode = workCenterCode;
        this.organizeCode = organizeCode;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }
}
